'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeAllGridColumnClasses = undefined;

var _arrayFromRange = require('../utils/arrayFromRange');

var _getInfix = require('../utils/getInfix');

/**
 * Make a list of all the column classes being generated.
 * @param {number} gridColumns The number of column units.
 * @param {object} gridBreakpoints The gridBreakpoints option.
 * @return {string} The string of classes.
 */
const makeAllGridColumnClasses = exports.makeAllGridColumnClasses = ({ gridColumns, gridBreakpoints }) => Object.keys(gridBreakpoints).reduce((output, breakpoint) => {
    const infix = (0, _getInfix.getInfix)(breakpoint);

    return output + (0, _arrayFromRange.arrayFromRange)(gridColumns).reduce((classes, i) => `${classes}, .col${infix}-${i}`, `.col${infix}, .col${infix}-auto`) + ', ';
}, '').slice(0, -2);