'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeColClasses = undefined;

var _makeCol = require('./makeCol');

var _arrayFromRange = require('../utils/arrayFromRange');

/**
 * Make the column classes for a given breakpoint.
 * @param {string} infix The breakpoint infix.
 * @param {number} gridColumns The number of column units.
 * @return {string} The generated CSS.
 */
const makeColClasses = exports.makeColClasses = ({ infix, gridColumns }) => (0, _arrayFromRange.arrayFromRange)(gridColumns).reduce((output, i) => output + `.col${infix}-${i} {
  ${(0, _makeCol.makeCol)({ gridColumns, size: i })}
}

`, '');