'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.makeOffsetClasses = undefined;

var _makeColOffset = require('./makeColOffset');

var _arrayFromRange = require('../utils/arrayFromRange');

/**
 * Makes the offset classes for a given breakpoint.
 * @param {string} infix The breakpoint infix.
 * @param {number} gridColumns The number of column units.
 * @param {bool} doOffsetClasses Whether to perform this functino.
 * @return {string} The generated CSS.
 */
const makeOffsetClasses = exports.makeOffsetClasses = ({ infix, gridColumns, doOffsetClasses }) => doOffsetClasses ? (0, _arrayFromRange.arrayFromRange)(gridColumns - 1).reduce((output, i) => output + `.offset${infix}-${i} {
  ${(0, _makeColOffset.makeColOffset)({ gridColumns, size: i })}
}

`, '') : '';